Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.event
Interface MethodExitEvent

All Superinterfaces:
  Event, Locatable, LocatableEvent, Mirror

    public interface MethodExitEvent

extends LocatableEvent

Notification of a method return in the target VM. This event is generated after all code in the method has executed, but the location of this event is the last executed location in the method. Method exit events are generated for both native and non-native methods. Method exit events are not generated if the method terminates with a thrown exception.

Since:
  1.3
See Also:
  `EventQueue`

Method Summary
`Method` | `method()` Returns the method that was exited.

Methods inherited from interface com.sun.jdi.event.LocatableEvent
`thread`

Methods inherited from interface com.sun.jdi.event.Event
`request`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Methods inherited from interface com.sun.jdi.Locatable
`location`

Method Detail

### method

    Method method()

  Returns the method that was exited.

  Returns:
    a `Method` which mirrors the method that was exited.
  Throws:
    `ObjectCollectedException` - may be thrown if class has been garbage collected.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD